diff options
author | H.J. Lu <hjl.tools@gmail.com> | 2007-03-15 14:17:20 +0000 |
---|---|---|
committer | H.J. Lu <hjl.tools@gmail.com> | 2007-03-15 14:17:20 +0000 |
commit | c428fa83c21769fafedcebb7b4a381c6ca24f998 (patch) | |
tree | 495dd739a73402206ab116758c5e19246f8de8da /binutils | |
parent | 794ba86ab2c3af917bb30776338526a18ea74880 (diff) | |
download | gdb-c428fa83c21769fafedcebb7b4a381c6ca24f998.zip gdb-c428fa83c21769fafedcebb7b4a381c6ca24f998.tar.gz gdb-c428fa83c21769fafedcebb7b4a381c6ca24f998.tar.bz2 |
bfd/
2007-03-15 H.J. Lu <hongjiu.lu@intel.com>
* Makefile.am (bfdver.h): Substitute report_bugs_to. Also
create doc/bfdver.texi.
* Makefile.in: Regenerated.
* configure.in (--with-bugurl): New option.
* configure: Regenerated.
* version.h (REPORT_BUGS_TO): New.
binutils/
2007-03-15 H.J. Lu <hongjiu.lu@intel.com>
* Makefile.am (REPORT_BUGS_TO): Removed.
(INCLUDES): Remove -DREPORT_BUGS_TO.
* Makefile.in: Regenerated.
* bucomm.c: Don't include bfdver.h.
* objdump.c: Likewise.
* version.c: Likewise.
* bucomm.h: Include bfdver.h.
* configure.in (--with-bugurl): Removed.
* configure: Regenerated.
* doc/Makefile.am (binutils_TEXINFOS): Removed.
(AM_MAKEINFOFLAGS): Add -I ../../bfd/doc.
(TEXI2DVI): Likewise.
(config.texi): Removed.
(MOSTLYCLEANFILES): Remove config.texi.
* doc/Makefile.in: Regenerated.
* doc/binutils.texi: Include bfdver.texi instead of
config.texi.
gas/
2007-03-15 H.J. Lu <hongjiu.lu@intel.com>
* Makefile.am (REPORT_BUGS_TO): Removed.
(INCLUDES): Remove -DREPORT_BUGS_TO.
* Makefile.in: Regenerated.
* configure.in (--with-bugurl): Removed.
* configure: Regenerated.
* doc/Makefile.am (as_TEXINFOS): Remove gasver.texi.
(AM_MAKEINFOFLAGS): Add -I ../../bfd/doc.
(TEXI2DVI): Likewise.
(gasver.texi): Removed.
(MOSTLYCLEANFILES): Remove gasver.texi.
(as.1): Don't depend on gasver.texi.
* doc/Makefile.in: Regenerated.
* doc/as.texi: Include bfdver.texi instead of gasver.texi.
gprof/
2007-03-15 H.J. Lu <hongjiu.lu@intel.com>
* Makefile.am (REPORT_BUGS_TO): Removed.
(INCLUDES): Remove -DREPORT_BUGS_TO.
* Makefile.in: Regenerated.
* configure.in (--with-bugurl): Removed.
* configure: Regenerated.
ld/
2007-03-15 H.J. Lu <hongjiu.lu@intel.com>
* Makefile.am (ld_TEXINFOS): Remove ldver.texi.
(AM_MAKEINFOFLAGS): Add -I ../../bfd/doc.
(TEXI2DVI): Likewise.
(REPORT_BUGS_TO): Removed.
(INCLUDES): Remove -DREPORT_BUGS_TO.
(ldver.texi): Likewise.
(ld.1): Don't depend on ldver.texi.
(MOSTLYCLEANFILES): Remove ldver.texi.
* Makefile.in: Regenerated.
* configure.in (--with-bugurl): Removed.
* configure: Regenerated.
* lexsup.c: Include bfdver.h.
* ld.texinfo: Include bfdver.texi instead of ldver.texi.
Diffstat (limited to 'binutils')
-rw-r--r-- | binutils/ChangeLog | 25 | ||||
-rw-r--r-- | binutils/Makefile.am | 3 | ||||
-rw-r--r-- | binutils/Makefile.in | 11 | ||||
-rw-r--r-- | binutils/bucomm.c | 1 | ||||
-rw-r--r-- | binutils/bucomm.h | 1 | ||||
-rwxr-xr-x | binutils/configure | 31 | ||||
-rw-r--r-- | binutils/configure.in | 19 | ||||
-rw-r--r-- | binutils/doc/Makefile.am | 19 | ||||
-rw-r--r-- | binutils/doc/Makefile.in | 37 | ||||
-rw-r--r-- | binutils/doc/binutils.texi | 2 | ||||
-rw-r--r-- | binutils/objdump.c | 1 | ||||
-rw-r--r-- | binutils/version.c | 1 |
12 files changed, 52 insertions, 99 deletions
diff --git a/binutils/ChangeLog b/binutils/ChangeLog index ccbd2b9..c831cee 100644 --- a/binutils/ChangeLog +++ b/binutils/ChangeLog @@ -1,3 +1,28 @@ +2007-03-15 H.J. Lu <hongjiu.lu@intel.com> + + * Makefile.am (REPORT_BUGS_TO): Removed. + (INCLUDES): Remove -DREPORT_BUGS_TO. + * Makefile.in: Regenerated. + + * bucomm.c: Don't include bfdver.h. + * objdump.c: Likewise. + * version.c: Likewise. + + * bucomm.h: Include bfdver.h. + + * configure.in (--with-bugurl): Removed. + * configure: Regenerated. + + * doc/Makefile.am (binutils_TEXINFOS): Removed. + (AM_MAKEINFOFLAGS): Add -I ../../bfd/doc. + (TEXI2DVI): Likewise. + (config.texi): Removed. + (MOSTLYCLEANFILES): Remove config.texi. + * doc/Makefile.in: Regenerated. + + * doc/binutils.texi: Include bfdver.texi instead of + config.texi. + 2007-03-13 Nick Clifton <nickc@redhat.com> * readelf.c (dump_section): Also test for SHT_REL sections when diff --git a/binutils/Makefile.am b/binutils/Makefile.am index 0378a01..da78c62 100644 --- a/binutils/Makefile.am +++ b/binutils/Makefile.am @@ -68,14 +68,11 @@ INCDIR = $(BASEDIR)/include MKDEP = gcc -MM -REPORT_BUGS_TO = "\"@REPORT_BUGS_TO@\"" - INCLUDES = -D_GNU_SOURCE \ -I. -I$(srcdir) -I../bfd -I$(BFDDIR) -I$(INCDIR) \ @HDEFINES@ \ @INCINTL@ \ -DLOCALEDIR="\"$(datadir)/locale\"" \ - -DREPORT_BUGS_TO=$(REPORT_BUGS_TO) \ -Dbin_dummy_emulation=$(EMULATION_VECTOR) HFILES = \ diff --git a/binutils/Makefile.in b/binutils/Makefile.in index f8ce95e..22a4f9e 100644 --- a/binutils/Makefile.in +++ b/binutils/Makefile.in @@ -278,8 +278,6 @@ PACKAGE_VERSION = @PACKAGE_VERSION@ PATH_SEPARATOR = @PATH_SEPARATOR@ POSUB = @POSUB@ RANLIB = @RANLIB@ -REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@ -REPORT_BUGS_TO = "\"@REPORT_BUGS_TO@\"" SET_MAKE = @SET_MAKE@ SHELL = @SHELL@ STRIP = @STRIP@ @@ -376,7 +374,6 @@ INCLUDES = -D_GNU_SOURCE \ @HDEFINES@ \ @INCINTL@ \ -DLOCALEDIR="\"$(datadir)/locale\"" \ - -DREPORT_BUGS_TO=$(REPORT_BUGS_TO) \ -Dbin_dummy_emulation=$(EMULATION_VECTOR) HFILES = \ @@ -503,15 +500,15 @@ $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__confi @for dep in $?; do \ case '$(am__configure_deps)' in \ *$$dep*) \ - echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \ - cd $(srcdir) && $(AUTOMAKE) --foreign \ + echo ' cd $(srcdir) && $(AUTOMAKE) --cygnus '; \ + cd $(srcdir) && $(AUTOMAKE) --cygnus \ && exit 0; \ exit 1;; \ esac; \ done; \ - echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \ + echo ' cd $(top_srcdir) && $(AUTOMAKE) --cygnus Makefile'; \ cd $(top_srcdir) && \ - $(AUTOMAKE) --foreign Makefile + $(AUTOMAKE) --cygnus Makefile .PRECIOUS: Makefile Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status @case '$?' in \ diff --git a/binutils/bucomm.c b/binutils/bucomm.c index 2c6a42a..3ba6041 100644 --- a/binutils/bucomm.c +++ b/binutils/bucomm.c @@ -24,7 +24,6 @@ loaded, but for now it's not necessary. */ #include "bfd.h" -#include "bfdver.h" #include "libiberty.h" #include "bucomm.h" #include "filenames.h" diff --git a/binutils/bucomm.h b/binutils/bucomm.h index 0be6ac0..d07fde8 100644 --- a/binutils/bucomm.h +++ b/binutils/bucomm.h @@ -25,6 +25,7 @@ #include <stdio.h> #include <sys/types.h> +#include "bfdver.h" #include "config.h" #include <stdarg.h> diff --git a/binutils/configure b/binutils/configure index 7576721..dea505b 100755 --- a/binutils/configure +++ b/binutils/configure @@ -309,7 +309,7 @@ ac_includes_default="\ # include <unistd.h> #endif" -ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LN_S RANLIB ac_ct_RANLIB LIBTOOL REPORT_BUGS_TO REPORT_BUGS_TEXI WARN_CFLAGS NO_WERROR YACC LEX LEXLIB LEX_OUTPUT_ROOT USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT MKINSTALLDIRS MSGFMT MSGMERGE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GENINSRC_NEVER_TRUE GENINSRC_NEVER_FALSE HDEFINES AR CC_FOR_BUILD EXEEXT_FOR_BUILD DEMANGLER_NAME CPP EGREP ALLOCA NLMCONV_DEFS BUILD_NLMCONV BUILD_SRCONV BUILD_DLLTOOL DLLTOOL_DEFS BUILD_WINDRES BUILD_DLLWRAP BUILD_MISC BUILD_INSTALL_MISC OBJDUMP_DEFS EMULATION EMULATION_VECTOR datarootdir docdir htmldir LIBOBJS LTLIBOBJS' +ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LN_S RANLIB ac_ct_RANLIB LIBTOOL WARN_CFLAGS NO_WERROR YACC LEX LEXLIB LEX_OUTPUT_ROOT USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT MKINSTALLDIRS MSGFMT MSGMERGE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GENINSRC_NEVER_TRUE GENINSRC_NEVER_FALSE HDEFINES AR CC_FOR_BUILD EXEEXT_FOR_BUILD DEMANGLER_NAME CPP EGREP ALLOCA NLMCONV_DEFS BUILD_NLMCONV BUILD_SRCONV BUILD_DLLTOOL DLLTOOL_DEFS BUILD_WINDRES BUILD_DLLWRAP BUILD_MISC BUILD_INSTALL_MISC OBJDUMP_DEFS EMULATION EMULATION_VECTOR datarootdir docdir htmldir LIBOBJS LTLIBOBJS' ac_subst_files='' # Initialize some variables set by options. @@ -869,7 +869,6 @@ Optional Packages: --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) --with-gnu-ld assume the C compiler uses GNU ld default=no --with-pic try to use only PIC/non-PIC objects default=use both - --with-bugurl=URL Direct users to URL to report a bug Some influential environment variables: CC C compiler command @@ -3867,7 +3866,7 @@ test x"$pic_mode" = xno && libtool_flags="$libtool_flags --prefer-non-pic" case $host in *-*-irix6*) # Find out which ABI we are using. - echo '#line 3870 "configure"' > conftest.$ac_ext + echo '#line 3869 "configure"' > conftest.$ac_ext if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 (eval $ac_compile) 2>&5 ac_status=$? @@ -4176,30 +4175,6 @@ echo "$as_me: error: bad value ${enableval} for BFD commonbfdlib option" >&2;} { (exit 1); exit 1; }; } ;; esac fi; -# The location to which bugs should be reported. - -# Check whether --with-bugurl or --without-bugurl was given. -if test "${with_bugurl+set}" = set; then - withval="$with_bugurl" - case "$withval" in - yes) { { echo "$as_me:$LINENO: error: bug URL not specified" >&5 -echo "$as_me: error: bug URL not specified" >&2;} - { (exit 1); exit 1; }; } ;; - no) REPORT_BUGS_TO=""; - REPORT_BUGS_TEXI="" - ;; - *) REPORT_BUGS_TO="<URL:$withval>" - REPORT_BUGS_TEXI="@uref{`echo $withval | sed 's/@/@@/g'`}" - ;; - esac -else - REPORT_BUGS_TO="<URL:http://www.sourceware.org/bugzilla/>" - REPORT_BUGS_TEXI="@uref{http://www.sourceware.org/bugzilla/}" - -fi; - - - GCC_WARN_CFLAGS="-W -Wall -Wstrict-prototypes -Wmissing-prototypes" @@ -9552,8 +9527,6 @@ s,@LN_S@,$LN_S,;t t s,@RANLIB@,$RANLIB,;t t s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t s,@LIBTOOL@,$LIBTOOL,;t t -s,@REPORT_BUGS_TO@,$REPORT_BUGS_TO,;t t -s,@REPORT_BUGS_TEXI@,$REPORT_BUGS_TEXI,;t t s,@WARN_CFLAGS@,$WARN_CFLAGS,;t t s,@NO_WERROR@,$NO_WERROR,;t t s,@YACC@,$YACC,;t t diff --git a/binutils/configure.in b/binutils/configure.in index 46a56a0..8c53725 100644 --- a/binutils/configure.in +++ b/binutils/configure.in @@ -29,25 +29,6 @@ AC_ARG_ENABLE(commonbfdlib, *) AC_MSG_ERROR([bad value ${enableval} for BFD commonbfdlib option]) ;; esac])dnl -# The location to which bugs should be reported. -AC_ARG_WITH(bugurl, - AS_HELP_STRING([--with-bugurl=URL], - [Direct users to URL to report a bug]), - [case "$withval" in - yes) AC_MSG_ERROR([bug URL not specified]) ;; - no) REPORT_BUGS_TO=""; - REPORT_BUGS_TEXI="" - ;; - *) REPORT_BUGS_TO="<URL:$withval>" - REPORT_BUGS_TEXI="@uref{`echo $withval | sed 's/@/@@/g'`}" - ;; - esac], - REPORT_BUGS_TO="<URL:http://www.sourceware.org/bugzilla/>" - REPORT_BUGS_TEXI="@uref{http://www.sourceware.org/bugzilla/}" -) -AC_SUBST(REPORT_BUGS_TO) -AC_SUBST(REPORT_BUGS_TEXI) - AM_BINUTILS_WARNINGS AM_CONFIG_HEADER(config.h:config.in) diff --git a/binutils/doc/Makefile.am b/binutils/doc/Makefile.am index 966ed80..5d8520c 100644 --- a/binutils/doc/Makefile.am +++ b/binutils/doc/Makefile.am @@ -31,20 +31,12 @@ man_MANS = \ $(DEMANGLER_NAME).1 info_TEXINFOS = binutils.texi -binutils_TEXINFOS = config.texi binutils_TEXI = $(srcdir)/binutils.texi -AM_MAKEINFOFLAGS = -I "$(srcdir)" -I "$(top_srcdir)/../libiberty" -TEXI2DVI = texi2dvi -I "$(srcdir)" -I "$(top_srcdir)/../libiberty" - -config.texi: $(srcdir)/../../bfd/configure $(binutils_TEXI) - rm -f config.texi - eval `grep '^ *VERSION=' $(srcdir)/../../bfd/configure`; \ - echo "@set VERSION $$VERSION" > $@ - echo "@set UPDATED `date '+%B %Y'`" >> config.texi - if [ -n "$(REPORT_BUGS_TEXI)" ]; then \ - echo "@set BUGURL $(REPORT_BUGS_TEXI)" >> config.texi; \ - fi +AM_MAKEINFOFLAGS = -I "$(srcdir)" -I "$(top_srcdir)/../libiberty" \ + -I ../../bfd/doc +TEXI2DVI = texi2dvi -I "$(srcdir)" -I "$(top_srcdir)/../libiberty" \ + -I ../../bfd/doc # Man page generation from texinfo addr2line.1: $(binutils_TEXI) $(binutils_TEXINFOS) @@ -145,7 +137,6 @@ cxxfilt.man: $(binutils_TEXI) $(binutils_TEXINFOS) mv -f $@.T$$$$ $@) || (rm -f $@.T$$$$ && exit 1) rm -f $(DEMANGLER_NAME).pod -MAINTAINERCLEANFILES = config.texi MOSTLYCLEANFILES = $(DEMANGLER_NAME).1 $(DEMANGLER_NAME).1: cxxfilt.man Makefile @@ -183,7 +174,7 @@ install-html-am: $(HTMLS) fi; \ done -MAINTAINERCLEANFILES += binutils.info +MAINTAINERCLEANFILES = binutils.info # Automake 1.9 will only build info files in the objdir if they are # mentioned in DISTCLEANFILES. It doesn't have to be unconditional, diff --git a/binutils/doc/Makefile.in b/binutils/doc/Makefile.in index cefd826..be7ad95 100644 --- a/binutils/doc/Makefile.in +++ b/binutils/doc/Makefile.in @@ -37,8 +37,7 @@ build_triplet = @build@ host_triplet = @host@ target_triplet = @target@ subdir = doc -DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \ - $(binutils_TEXINFOS) +DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \ $(top_srcdir)/../bfd/acinclude.m4 \ @@ -153,8 +152,6 @@ PACKAGE_VERSION = @PACKAGE_VERSION@ PATH_SEPARATOR = @PATH_SEPARATOR@ POSUB = @POSUB@ RANLIB = @RANLIB@ -REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@ -REPORT_BUGS_TO = @REPORT_BUGS_TO@ SET_MAKE = @SET_MAKE@ SHELL = @SHELL@ STRIP = @STRIP@ @@ -238,13 +235,16 @@ man_MANS = \ $(DEMANGLER_NAME).1 info_TEXINFOS = binutils.texi -binutils_TEXINFOS = config.texi binutils_TEXI = $(srcdir)/binutils.texi -AM_MAKEINFOFLAGS = -I "$(srcdir)" -I "$(top_srcdir)/../libiberty" -TEXI2DVI = texi2dvi -I "$(srcdir)" -I "$(top_srcdir)/../libiberty" -MAINTAINERCLEANFILES = config.texi binutils.info +AM_MAKEINFOFLAGS = -I "$(srcdir)" -I "$(top_srcdir)/../libiberty" \ + -I ../../bfd/doc + +TEXI2DVI = texi2dvi -I "$(srcdir)" -I "$(top_srcdir)/../libiberty" \ + -I ../../bfd/doc + MOSTLYCLEANFILES = $(DEMANGLER_NAME).1 html__strip_dir = `echo $$p | sed -e 's|^.*/||'`; +MAINTAINERCLEANFILES = binutils.info # Automake 1.9 will only build info files in the objdir if they are # mentioned in DISTCLEANFILES. It doesn't have to be unconditional, @@ -263,9 +263,9 @@ $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__confi exit 1;; \ esac; \ done; \ - echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \ + echo ' cd $(top_srcdir) && $(AUTOMAKE) --cygnus doc/Makefile'; \ cd $(top_srcdir) && \ - $(AUTOMAKE) --foreign doc/Makefile + $(AUTOMAKE) --cygnus doc/Makefile .PRECIOUS: Makefile Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status @case '$?' in \ @@ -293,7 +293,7 @@ clean-libtool: distclean-libtool: -rm -f libtool -binutils.info: binutils.texi $(binutils_TEXINFOS) +binutils.info: binutils.texi restore=: && backupdir="$(am__leading_dot)am$$$$" && \ rm -rf $$backupdir && mkdir $$backupdir && \ if ($(MAKEINFO) --version) >/dev/null 2>&1; then \ @@ -311,17 +311,17 @@ binutils.info: binutils.texi $(binutils_TEXINFOS) fi; \ rm -rf $$backupdir; exit $$rc -binutils.dvi: binutils.texi $(binutils_TEXINFOS) +binutils.dvi: binutils.texi TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \ MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \ $(TEXI2DVI) -o $@ `test -f 'binutils.texi' || echo '$(srcdir)/'`binutils.texi -binutils.pdf: binutils.texi $(binutils_TEXINFOS) +binutils.pdf: binutils.texi TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \ MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \ $(TEXI2PDF) -o $@ `test -f 'binutils.texi' || echo '$(srcdir)/'`binutils.texi -binutils.html: binutils.texi $(binutils_TEXINFOS) +binutils.html: binutils.texi rm -rf $(@:.html=.htp) if $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \ -o $(@:.html=.htp) `test -f 'binutils.texi' || echo '$(srcdir)/'`binutils.texi; \ @@ -570,15 +570,6 @@ uninstall-man: uninstall-man1 uninstall-man uninstall-man1 -config.texi: $(srcdir)/../../bfd/configure $(binutils_TEXI) - rm -f config.texi - eval `grep '^ *VERSION=' $(srcdir)/../../bfd/configure`; \ - echo "@set VERSION $$VERSION" > $@ - echo "@set UPDATED `date '+%B %Y'`" >> config.texi - if [ -n "$(REPORT_BUGS_TEXI)" ]; then \ - echo "@set BUGURL $(REPORT_BUGS_TEXI)" >> config.texi; \ - fi - # Man page generation from texinfo addr2line.1: $(binutils_TEXI) $(binutils_TEXINFOS) touch $@ diff --git a/binutils/doc/binutils.texi b/binutils/doc/binutils.texi index efa919d..ec69742 100644 --- a/binutils/doc/binutils.texi +++ b/binutils/doc/binutils.texi @@ -4,7 +4,7 @@ @c Free Software Foundation, Inc. @c man begin INCLUDE -@include config.texi +@include bfdver.texi @c man end @ifinfo diff --git a/binutils/objdump.c b/binutils/objdump.c index a273f51..0177b99 100644 --- a/binutils/objdump.c +++ b/binutils/objdump.c @@ -49,7 +49,6 @@ supplied by the disassembler() function. */ #include "bfd.h" -#include "bfdver.h" #include "progress.h" #include "bucomm.h" #include "dwarf.h" diff --git a/binutils/version.c b/binutils/version.c index e5d204b..3f62fad 100644 --- a/binutils/version.c +++ b/binutils/version.c @@ -20,7 +20,6 @@ #include <stdio.h> #include "bfd.h" -#include "bfdver.h" #include "bucomm.h" /* Print the version number and copyright information, and exit. This |